pyopenssl (17.5.0-1ubuntu1) bionic; urgency=medium

  * d/p/missing-SSL_ST-imports.patch: Cherry pick pending fix from
    Debian to resolve issue when importing SSL_ST_* objects, resolving
    misc test failures in other projects.

 -- James Page <james.page@ubuntu.com>  Thu, 12 Apr 2018 08:54:32 +0100

pyopenssl (17.5.0-1) unstable; urgency=medium

  * New upstream release
  * debian/control
    - bump Standards-Version to 4.1.2 (no changes needed)
    - bump cryptography versioned dep to 2.1.4
    - updated homepage
    - add pretend and flaky to b-d, needed by tests
    - use py3k versions of sphinx and sphinx_rtd_theme
    - b-d on python-all and python3-all, not the -dev variants
    - remove libssl-dev, openssl from b-d, those funcions are provided by
      cryptography now; Addresses: #857206
  * debian/copyright
    - extend packaging copyright years
  * debian/rules
    - use the right py.test tool name to run test for Python 2 and 3;
      Closes: #857206
    - explicitly set LC_ALL to C.UTF-8
  * debian/watch
    - use HTTPS to contact pypi.debian.net

 -- Sandro Tosi <morph@debian.org>  Tue, 12 Dec 2017 23:52:40 -0500

pyopenssl (16.2.0-1) unstable; urgency=medium

  * New upstream release; Closes: #843644

 -- Sandro Tosi <morph@debian.org>  Wed, 09 Nov 2016 14:14:11 -0500

pyopenssl (16.1.0-1) unstable; urgency=medium

  * New upstream release; Closes: #836179
  * debian/control
    - bump deps on python3-cryptography to >= 1.3.4
    - bump Standards-Version to 3.9.8 (no changes needed)

 -- Sandro Tosi <morph@debian.org>  Sat, 03 Sep 2016 19:16:54 +0100

pyopenssl (16.0.0-2) unstable; urgency=medium

  * debian/control
    - add python-sphinx-rtd-theme to b-d, no longer implicitly installed as a
      dependency from sphinx; Closes: #830328
    - require pytest at least at version 2.8.5

 -- Sandro Tosi <morph@debian.org>  Sat, 16 Jul 2016 23:54:23 +0100

pyopenssl (16.0.0-1) unstable; urgency=medium

  [ Sandro Tosi ]
  * New upstream release; Closes: #820569
  * debian/copyright
    - extend packaging copyright years
    - update path for new upstream code organization
  * debian/control
    - bump deps on cryptography >= 1.3
    - bump Standards-Version to 3.9.7 (no changes needed)
    - add python*-cffi and python*-all-dev, needed to run tests at build time
  * debian/rules
    - install CHANGELOG.rst as upstream changelog
    - pass PYTOHNPATH when building the doc
  * run tests with py.test

  [ Ondřej Nový ]
  * Fixed VCS URL (https)

 -- Sandro Tosi <morph@debian.org>  Wed, 13 Apr 2016 21:54:52 +0100

pyopenssl (0.15.1-2) unstable; urgency=medium

  * upload to unstable

 -- Sandro Tosi <morph@debian.org>  Mon, 29 Jun 2015 23:25:15 -0400

pyopenssl (0.15.1-1) experimental; urgency=medium

  * New upstream release

 -- Sandro Tosi <morph@debian.org>  Wed, 15 Apr 2015 11:54:04 +0100

pyopenssl (0.15-1) experimental; urgency=medium

  * New upstream release
  * debian/watch
    - use PyPI redirector
  * debian/copyright
    - extend packaging copyright years
    - extend upstream copyright years
  * debian/patches/disable_test_set_default_verify_paths.patch
    - refreshed
  * debian/patches/bbff8b97da488d19d3a26f6eda5f83fc88ad430c.patch
    - dropped, merged upstream
  * debian/python-openssl-doc.docs
    - updated to include new files and remove those no longer present
  * debian/control
    - bump Standards-Version to 3.9.6 (no changes needed)
    - add versioned depends and b-d on python-cryptography
  * debian/rules
    - run tests using "setup.py test"

 -- Sandro Tosi <morph@debian.org>  Tue, 14 Apr 2015 20:39:59 +0100

pyopenssl (0.14-1) unstable; urgency=medium

  * New upstream release; Closes: #751144
  * debian/control
    - update Homepage field; thanks to Slavko for the report; Closes: #751893
    - update b-d as per new upstream code
    - packages now are Arch:all
  * debian/copyright
    - switch to DEP-5 format
    - updated to new upsteam release
  * debian/patches/*
    - removed no longer applyable patches, refresh the remaining one
  * debian/README.source
    - removed, long outdated
  * Build and install doc with Sphinx
  * debian/{control, *-dbg.install}
    - removed dbg package, no longer created
  * debian/patches/bbff8b97da488d19d3a26f6eda5f83fc88ad430c.patch
    - fixes test_wantWriteError error
  * debian/rules
    - run test correctly for a pure Python module

 -- Sandro Tosi <morph@debian.org>  Mon, 18 Aug 2014 20:05:04 +0100

pyopenssl (0.13.1-2) unstable; urgency=medium

  * debian/control
    - add texlive-fonts-recommended to b-d, fixing a FTBFS; thanks to Daniel
      Schepler for the report and Hideki Yamane for the patch; Closes: #739076
    - switch me to Maintainer (team to Uploaders)
  * Switch to dh_python2
  * debian/{compat, control}
    - bump compat to 9

 -- Sandro Tosi <morph@debian.org>  Fri, 21 Feb 2014 20:43:50 +0100

pyopenssl (0.13.1-1) unstable; urgency=low

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.
 
  [ Sandro Tosi ]
  * New upstream release
    - debian/patches/CVE-2013-4314.patch removed, merged upstream
  * Acknowledge NMU; thanks Salvatore Bonaccorso; Closes: #722055
  * debian/patches/bts733366_make_symbol_optional.patch
    - fix a FTBFS by making SSL_OP_MSIE_SSLV2_RSA_PADDING optional; thanks to
      David Suárez for the report and to Mehdi Abaakouk for the patch;
      Closes: #733366
  * debian/control
    - bump Standards-Version to 3.9.5 (no changes needed)
  * debian/copyright
    - bump packaging copyright years

 -- Sandro Tosi <morph@debian.org>  Sun, 12 Jan 2014 22:15:57 +0100

pyopenssl (0.13-3.1) experimental; urgency=low

  * Non-maintainer upload.
  * Add CVE-2013-4314.patch patch.
    CVE-2013-4314: Fix hostname check bypassing vulnerability with server
    certificates that have a null byte in the subjectAltName. (Closes: #722055)

 -- Salvatore Bonaccorso <carnil@debian.org>  Sun, 15 Sep 2013 16:59:07 +0200

pyopenssl (0.13-3) experimental; urgency=low

  * debian/{control, rules}
    - migrate to dh sequences, implicitly Closes: #675414

 -- Sandro Tosi <morph@debian.org>  Wed, 29 Aug 2012 22:45:02 +0200

pyopenssl (0.13-2) unstable; urgency=low

  [ Barry Warsaw ]
  * Enable the Python 3 version of the package; Closes: #669301

  [ Sandro Tosi ]
  * Fix several omissions for py3k packages introduction
  * debian/control
    - bump Standards-Version to 3.9.3 (no changes needed)
  * debian/rules
    - remove leftover from build process, so the package can be built twice in a
      row; thanks to Jakub Wilk for the report; Closes: #671191

 -- Sandro Tosi <morph@debian.org>  Sat, 05 May 2012 17:30:52 +0200

pyopenssl (0.13-1) unstable; urgency=low

  * New upstream release

 -- Sandro Tosi <morph@debian.org>  Sun, 11 Sep 2011 16:46:29 +0200

pyopenssl (0.13~a1-1) unstable; urgency=low

  * New upstream (alpha) release
  * debian/patches/support_openssl_1.0
    - removed, fix upstream
  * debian/patches/disable_test_set_default_verify_paths.patch
    - disable a test trying to connect to the web
  * debian/rules
    - fix build* targets
  * debian/control
    - drop Provides and XB-P-V fields from bin pkg

 -- Sandro Tosi <morph@debian.org>  Mon, 15 Aug 2011 18:44:39 +0200

pyopenssl (0.12-1) unstable; urgency=low

  * New upstream release
  * debian/watch
    - point to Pypi instead of launchpad
  * debian/copyright
    - updated packaging copyright years
    - updated upstream license to Apache 2.0
  * debian/control
    - remove Provides/Conflicts/Replaces for python-pyopenssl
    - bump Standards-Version to 3.9.2 (no changes needed)
  * debian/source/format
    - converted to 3.0 (quilt)
  * Converted from dpatch to quilt
  * debian/patches/support_openssl_1.0
    - support OpenSSL 1.0 and the removal of SSLv2 methods; Closes: #622154

 -- Sandro Tosi <morph@debian.org>  Mon, 30 May 2011 14:55:33 +0200

pyopenssl (0.11-1) experimental; urgency=low

  * New upstream release
  * debian/watch
    - updated to use launchpad

 -- Sandro Tosi <morph@debian.org>  Thu, 04 Nov 2010 23:00:23 +0100

pyopenssl (0.11~a2-1) experimental; urgency=low

  * New (alpha) upstream release
  * debian/{control, copyright}
    - updated upstream project website location; thanks to Jonathan Davies for
      the report; Closes: #567654
  * debian/copyright
    - updated upstream copyright years
  * debian/patches/20_spelling.dpatch
    - removed, merged upstream
  * debian/control
    - bump Standards-Version to 3.9.1 (no changes needed)
    - added 'openssl' to b-d, needed to run unit tests

 -- Sandro Tosi <morph@debian.org>  Mon, 25 Oct 2010 21:11:45 +0200

pyopenssl (0.10-1) unstable; urgency=low

  * New upstream release
  * debian/control
    - bump Standards-Version to 3.8.4 (no changes needed)
    - added ${misc:Depends} to -doc and -dbg packages
  * debian/watch
    - updated for new upstream project layout
  * debian/copyright
    - extended Debian packaging copyright notice
    - added copyright notice for new file 'test/test_rand.py'
  * debian/rules
    - Python 2.6 has changed the build directory layout when building with a
      debug interpreter, hence adjusting the location used to run tests; thanks
      to Jakub Wilk for alerting on IRC
  * debian/patches/20_spelling.dpatch
    - added to fix compatability/compatibility spelling error noticed by lintian

 -- Sandro Tosi <morph@debian.org>  Sat, 30 Jan 2010 00:09:59 +0100

pyopenssl (0.9-1) unstable; urgency=low

  [ Stephan Peijnik ]
  * debian/control
    - fixed Vcs-Browser and Vcs-Svn fields.
    - switched Vcs-Browser field to viewsvn.

  [ Sandro Tosi ]
  * New upstream release
  * debian/control
    - bump Standards-Version to 3.8.1 (no changes needed)
    - fixed section for -dbg package to 'debug'
    - removed transitional packages
    - bump minimum version for python packages to call install-layout=deb
  * debian/copyright
    - updated copyright years for upstream work
  * debian/rules
    - running tests at build time, still experimental support
    - refactored to use supported python version (and not python executables
      names) during loops
    - call setup.py --install with --install-layout=deb (patch from Ubuntu)

 -- Sandro Tosi <morph@debian.org>  Thu, 04 Jun 2009 00:43:41 +0200

pyopenssl (0.8-1) unstable; urgency=low

  * New upstream release
  * debian/control
    - updated my email address
    - removed XS-DM-Upload-Allowed field
    - enhanced -doc descriptions and added a note for -dbg that's the debug pkg
  * debian/patches/10_fix_doc_buildsystem.dpatch
    - added description
  * debian/copyright
    - fixed local license file to point to LGPL-2
    - added copyright notice for my packaging activities (2008-2009)
  * debian/rules
    - merged 'rm' calls into 'dh_clean' one

 -- Sandro Tosi <morph@debian.org>  Sat, 21 Feb 2009 01:24:57 +0100

pyopenssl (0.7-2) unstable; urgency=medium

  * debian/control
    - added texlive-latex-base, texlive-latex-recommended to build-dep to fix a
      FTBFS; thanks to Lucas Nussbaum for the report; Closes: 486950
    - bump Standards-Version to 3.8.0
  * debian/README.source
    - added as requested by Policy 3.8.0

 -- Sandro Tosi <matrixhasu@gmail.com>  Thu, 19 Jun 2008 20:05:55 +0200

pyopenssl (0.7-1) unstable; urgency=low

  [ Sandro Tosi ]
  * New upstream release
  * debian/patches/01_restore_pristine_code.dpatch
    - removed since merged upstream
  * debian/rules
    - added doc creation at build-time
  * debian/patches/10_fix_doc_buildsystem.dpatch
    - added to allow doc build on debian
  * debian/control
    - added tex4ht and w3m build-dep needed to build doc
  * debian/python-openssl-doc.doc-base
    - updated for new index filename
  * debian/copyright
    - updated upstream author and copyright notices
  * debian/watch
    - fixed to correctly detect X.YaZ < X.Y
  [ Piotr Ożarowski ]
  * Added XS-DM-Upload-Allowed: yes

 -- Sandro Tosi <matrixhasu@gmail.com>  Thu, 24 Apr 2008 20:00:36 +0200

pyopenssl (0.6-5) unstable; urgency=low

  * debian/control
    - fixed dependencies on documentation package
  * python-openssl-doc.doc-base
    - converted to UTF8
    - changed Section to Programming

 -- Sandro Tosi <matrixhasu@gmail.com>  Sat, 08 Mar 2008 23:06:19 +0100

pyopenssl (0.6-4) unstable; urgency=low

  [ Scott Kitterman ]
  * Add debug package (incorporate changes from Ubuntu)
    - Add build-dep on python-all-dbg
    - Suggest python-openssl-dbg
    - Add building debug variants to debian/rules
  * Add myself to uploaders

  [ Sandro Tosi ]
  * debian/rules
    - fixing commands to refer to new packages names

  [ Piotr Ożarowski ]
  * Add python-pyopenssl to python-openssl's Conflicts, Replaces and Provides 

 -- Sandro Tosi <matrixhasu@gmail.com>  Mon, 25 Feb 2008 22:39:45 +0100

pyopenssl (0.6-3) unstable; urgency=low

  [ Sandro Tosi ]
  * Adopting package (Closes: #465988)
  * Acknowledging NMUs (Closes: #373548, #355947, #351133, #347541)
  * debian/control
    - set DPMT as maintainer
    - set myself as uploader
    - bump Standards-Version to 3.7.3
    - added Vcs-{Svn,Browser} tag
    - added misc:Depends
    - updated versioned build-dep on python-support
    - renamed doc package to python-openssl-doc (and added transitional
      package)
    - added Homepage field
    - added dpatch build-dep
    - changed short description (Closes: #410705)
    - changed long description
    - changed bin package name to python-openssl (and added transitional
      package)
  * debian/pycompat
    - removed
  * debian/rules
    - removed comment header
    - removed commented dh_* calls
    - removed dh_python calls
    - removed DH_COMPAT variable set
    - added dpatch stuff
    - build for all supported python version (Closes: #452616)
  * debian/python-openssl-doc.doc-base
    - renamed from debian/pyopenssl-doc.doc-base
    - corrected files location
    - reformatted description
  * debian/pyopenssl-doc.docs
    - removed
  * debian/python-openssl-doc.examples
    - renamed from debian/pyopenssl-doc.examples
  * debian/README.Debian
    - removed
  * debian/compat
    - created with value 5
  * doc/pyOpenSSL.ps
    - restored to upstream file (changes only in generation dates)
  * debian/patches/01_restore_pristine_code.dpatch
    - added to restore upstream source code
  * debian/copyright
    - clear separation of copyright and license
    - upstream author, copyright and license indented with 4 spaces
    - added copyright info for 3 files, different from the main one

  [ Piotr Ożarowski ]
  * debian/watch
    - added

 -- Sandro Tosi <matrixhasu@gmail.com>  Sun, 24 Feb 2008 22:38:11 +0100

pyopenssl (0.6-2.3) unstable; urgency=low

  * Non-maintainer upload.
  * Update Package for last python policy (Closes: #373548).

 -- Pierre Habouzit <madcoder@debian.org>  Fri, 30 Jun 2006 13:31:10 +0200

pyopenssl (0.6-2.2) unstable; urgency=low

  * Non-maintainer upload.
  * Include patch from Cyril Lacoux <clacoux@easter-eggs.com>,
    fixing Segmentation fault when creating x509 extension.
    (Closes: #355947)

 -- Julien Danjou <acid@debian.org>  Fri, 12 May 2006 16:42:47 +0200

pyopenssl (0.6-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Stop building modules for python2.2. (Closes: #351133)
  * Also rebuild module using libssl0.9.8. (Closes: #347541)

 -- Pierre Habouzit <madcoder@debian.org>  Sun,  9 Apr 2006 19:45:16 +0200

pyopenssl (0.6-2) unstable; urgency=low

  * Add support for python 2.4. (Closes: #297870)
  * Build-depend on v0.9.7 of openssl.

 -- Martin Sjogren <sjogren@debian.org>  Mon, 14 Mar 2005 08:56:27 +0100

pyopenssl (0.6-1) unstable; urgency=low

  * New upstream release, including:
    - Add Netscape SPKI extensions. (Closes: #205132)
    - Add X509.subject_name_hash, X509.digest. (Closes: #205136)
    - Fix full names of exceptions. (Closes: #250342)
    - Add SSL.Context.use_certificate_chain_file. (Closes: #260134)
  * Docs are built upstream, so the build-deps have been trimmed.
    This also means that HTML and text documentation are back.
  * Bumped standards-version.
  * Use dh_python.

 -- Martin Sjogren <sjogren@debian.org>  Fri, 13 Aug 2004 20:53:27 +0200

pyopenssl (0.5.1-4) unstable; urgency=low

  * Drop HTML and text documentation since latex2html moved to non-free.
    This is a temporary solution, until I can hack mkhowto to use something
    else. (Closes: #221344)
  * Fix the copyright file to mention the copyright holder.

 -- Martin Sjogren <sjogren@debian.org>  Mon, 15 Dec 2003 20:16:25 +0100

pyopenssl (0.5.1-3) unstable; urgency=low

  * MANIFEST.in: Include the src/RATIONALE file. (Closes: #197401)
  * doc/pyOpenSSL.tex: Fix typo. (Closes: #197435)
  * Drop Python 1.5 and 2.1 support.
  * Make python-pyopenssl depend on python2.3-pyopenssl, which is no longer
    "experimental".

 -- Martin Sjogren <sjogren@debian.org>  Mon, 11 Aug 2003 18:37:07 +0200

pyopenssl (0.5.1-2) unstable; urgency=low

  * Make sure names in control and changelog match. Stupid changelogs, bleh.
  * Change section to 'python'.
  * Rebuild with openssl 0.9.7. (Closes: #189826)
  * __init__.py: Import tsafe module.
  * tsafe.py: Add some missing methods.
  * debian/copyright: Fix Author(s) boilerplate thingy to shut lintian up.

 -- Martin Sjogren <sjogren@debian.org>  Sun, 20 Apr 2003 17:50:24 +0200

pyopenssl (0.5.1-1) unstable; urgency=low

  * New upstream version. (Closes: #159530)
  * Added a python-pyopenssl dummy package.
  * Added an experimental python2.3-pyopenssl package.

 -- Martin Sjögren <martin@strakt.com>  Sun, 25 Aug 2002 12:08:31 +0200

pyopenssl (0.5-1) unstable; urgency=low

  * New upstream version
  * Support for python1.5.
  * Fix stupid mistakes for python 1.5 and python 2.1.

 -- Martin Sjögren <martin@strakt.com>  Wed, 24 Jul 2002 09:05:28 +0200

pyopenssl (0.4.1-8) unstable; urgency=low

  * Added examples to pyopenssl-doc

 -- Martin Sjögren <martin@strakt.com>  Wed,  5 Jun 2002 14:58:04 +0200

pyopenssl (0.4.1-7) unstable; urgency=low

  * The cute arrow icons in the HTML documentation should be there now too.

 -- Martin Sjögren <martin@strakt.com>  Thu, 30 May 2002 00:53:44 +0200

pyopenssl (0.4.1-6) unstable; urgency=low

  * Commented out some unused things in debian/rules

 -- Martin Sjögren <martin@strakt.com>  Wed, 29 May 2002 11:20:33 +0200

pyopenssl (0.4.1-5) unstable; urgency=low

  * Adding to the build-depends.
  * Initial upload (Closes: #140687)

 -- Martin Sjögren <martin@strakt.com>  Sat,  6 Apr 2002 14:15:49 +0200

pyopenssl (0.4.1-4) unstable; urgency=low

  * Fixes in packaging, it shouldn't be regarded a native package now.

 -- Martin Sjögren <martin@strakt.com>  Sat,  6 Apr 2002 11:26:39 +0200

pyopenssl (0.4.1-3) unstable; urgency=low

  * Moved from non-US to main/devel

 -- Martin Sjögren <martin@strakt.com>  Fri,  5 Apr 2002 22:44:10 +0200

pyopenssl (0.4.1-2) unstable; urgency=low

  * Fixes in the packaging, dependencies and build dependencies should be
    all right now.

 -- Martin Sjögren <martin@strakt.com>  Thu, 10 Jan 2002 10:00:06 +0100

pyopenssl (0.4.1-1) unstable; urgency=low

  * New "upstream" release
  * New packaging, python2.1-pyopenssl, python2.2-pyopenssl, pyopenssl-doc

 -- Martin Sjögren <martin@strakt.com>  Mon,  7 Jan 2002 15:38:51 +0100

pyopenssl (0.4-4) unstable; urgency=low

  * Grrr, this time then...

 -- Martin Sjögren <martin@strakt.com>  Fri, 17 Aug 2001 14:53:19 +0200

pyopenssl (0.4-3) unstable; urgency=low

  * Fixed a big nasty bug

 -- Martin Sjögren <martin@strakt.com>  Fri, 17 Aug 2001 14:33:06 +0200

pyopenssl (0.4-2) unstable; urgency=low

  * Fixes

 -- Martin Sjögren <martin@strakt.com>  Fri, 17 Aug 2001 13:53:11 +0200

pyopenssl (0.4-1) unstable; urgency=low

  * New "upstream" version

 -- Martin Sjögren <martin@strakt.com>  Thu,  9 Aug 2001 12:32:47 +0200

pyopenssl (0.3-3) unstable; urgency=low

  * X509 objects now has a has_expired method

 -- Martin Sjögren <martin@strakt.com>  Tue,  7 Aug 2001 14:16:13 +0200

pyopenssl (0.3-2) unstable; urgency=low

  * X509Name objects now has a compare method 

 -- Martin Sjögren <martin@strakt.com>  Tue,  7 Aug 2001 10:53:58 +0200

pyopenssl (0.3-1) unstable; urgency=low

  * New "upstream" version

 -- Martin Sjögren <martin@strakt.com>  Fri,  3 Aug 2001 16:36:26 +0200

pyopenssl (0.1-1) unstable; urgency=low

  * Initial version.

 -- Anders Hammarquist <iko@strakt.com>  Mon, 23 Jul 2001 15:17:38 +0200
